Api
List Requesters
List requesters with search and pagination. Supports filtering by: - search: partial match on first_name, last_name, email, phone - active_only: only show active requesters - support_enabled_only: only show requesters with voice support enabled
List requesters with search and pagination.
Supports filtering by:
- search: partial match on first_name, last_name, email, phone
- active_only: only show active requesters
- support_enabled_only: only show requesters with voice support enabled
AuthorizationBearer <token>
In: header
Query Parameters
search?|
Search by name, email, or phone
active_only?boolean
Filter to active requesters only
Default
falsesupport_enabled_only?boolean
Filter to support-enabled requesters only
Default
falsepage?integer
Page number
Default
1Range
1 <= valueper_page?integer
Items per page
Default
50Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/configuration/requesters"{
"has_more": true,
"page": 0,
"per_page": 0,
"requesters": [
{
"active": true,
"badge_number_last4": "string",
"created_at": "string",
"department_id": 0,
"department_name": "string",
"email": "string",
"external_id": "string",
"first_name": "string",
"freshservice_id": 0,
"freshservice_synced_at": "string",
"has_badge": true,
"id": "string",
"job_title": "string",
"last_name": "string",
"phone": "string",
"provider_type": "string",
"support_enabled": true,
"updated_at": "string"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}